emacs-devel
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [Emacs-diffs] emacs-25 89e7483: * configure.ac: Find libxml2 headers


From: YAMAMOTO Mitsuharu
Subject: Re: [Emacs-diffs] emacs-25 89e7483: * configure.ac: Find libxml2 headers in Xcode SDK dir on Darwin.
Date: Thu, 31 Dec 2015 21:02:46 +0900
User-agent: Wanderlust/2.14.0 (Africa) SEMI/1.14.6 (Maruoka) FLIM/1.14.8 (Shij┼Ź) APEL/10.6 Emacs/22.3 (sparc-sun-solaris2.8) MULE/5.0 (SAKAKI)

>>>>> On Thu, 31 Dec 2015 12:40:21 +0100, "Herbert J. Skuhra" <address@hidden> 
>>>>> said:

> How about?

> diff --git a/configure.ac b/configure.ac
> index 9c783e6..d9e75e3 100644
> --- a/configure.ac
> +++ b/configure.ac
> @@ -3610,8 +3610,6 @@ AC_SUBST(XFIXES_LIBS)
>  ### mingw32 doesn't use -lxml2, since it loads the library dynamically.
>  HAVE_LIBXML2=no
>  if test "${with_xml2}" != "no"; then
> -  ### I'm not sure what the version number should be, so I just guessed.
> -  EMACS_CHECK_MODULES([LIBXML2], [libxml-2.0 > 2.6.17])
>    # Built-in libxml2 on OS X 10.8 lacks libxml-2.0.pc.
>    if test "${HAVE_LIBXML2}" != "yes" && test "$opsys" = "darwin"; then
>      SAVE_CPPFLAGS="$CPPFLAGS"
> @@ -3633,6 +3631,8 @@ if test "${with_xml2}" != "no"; then
>        LIBXML2_LIBS="-lxml2"
>      fi
>    fi
> +  ### I'm not sure what the version number should be, so I just guessed.
> +  EMACS_CHECK_MODULES([LIBXML2], [libxml-2.0 > 2.6.17])
>    if test "${HAVE_LIBXML2}" = "yes"; then
>      if test "${opsys}" != "mingw32"; then
>        AC_CHECK_LIB(xml2, htmlReadMemory, HAVE_LIBXML2=yes, HAVE_LIBXML2=no,

No.  If the commands below return wrong results, then you should fix
libxml-2.0.pc and/or set PKG_CONFIG_PATH properly.

  $ pkg-config --cflags "libxml-2.0 > 2.6.17"
  $ pkg-config --libs "libxml-2.0 > 2.6.17"

                                     YAMAMOTO Mitsuharu
                                address@hidden



reply via email to

[Prev in Thread] Current Thread [Next in Thread]